
#define PROG_SINN "** Grafik + SUMME 1/N-->unendlich + Mousposition **"
#define PROG_DATUM "** 06.11.2017 ** "
#define PROG_VERSION_NR "** V1.0 **"
#define PROG_AUTOR "** Christof Ermer Regensburg **"
/*
https://www.youtube.com/watch?v=uTn5av4VS5E
D:\Dev_Cpp
Speicherort 
MinGW erneuern

https://www.tutorials.de/threads/grafiken-zeichnen-in-der-konsole.194602/
https://sourceforge.net/projects/orwelldevcpp/files/Compilers/MinGW/

libgdi32.a mit dazulinken:
Unter Projektoptionen->Parameter->Linker whlst du aus dem lib Verzeichnis von DevCpp einfach die o.g. lib aus.

libgdi32.a liegt Bsp: zugleich als 64 und 32 Bit version unter
C:\Program Files (x86)\Dev-Cpp\MinGW64\x86_64-w64-mingw32\lib
C:\Program Files (x86)\Dev-Cpp\MinGW64\x86_64-w64-mingw32\lib32
*/

#pragma comment(lib,"libgdi32.a")   // einbinden von lib

#include <windows.h>
#include <iostream>
#include <limits>
#include <stdexcept>

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <math.h>

#include "main.h"   //<--SIEHE

//#include <time.h>

using namespace std;

// FENSTER PIXEL GROESSE
// ------------------------


//GLOBAL

char gcaStr[STRMAX +1];
HWND gHwnd;
HDC gHdc;
unsigned char u8Rot, u8Gruen, u8Blau;
//CONSOLE_SCREEN_BUFFER_INFO sConScreenInf;

// ******************************
void KreuzZeichnen(void)
// ******************************
{
uint16_t u16NN;
//KREUZ
for( u16NN = 0 ; u16NN < WIN_X_WIDTH ; u16NN++)
	{
	SetPixel(gHdc, u16NN, WIN_Y_MITTE, RGB(255, 255, 255));				
	};

for( u16NN = 0 ; u16NN <WIN_Y_WIDTH ; u16NN++)
	{
	SetPixel(gHdc, WIN_X_MITTE, u16NN, RGB(255, 255, 255));				
	};
};

// **********************************
void PLotX_ToY( double dXX, double  dYY)
// **********************************
{
uint16_t u16WIN_X = round( dXX ) + WIN_X_MITTE;
uint16_t u16WIN_Y = (round( dYY ) * -1.0) + WIN_Y_MITTE;

if( u16WIN_Y  <= WIN_Y_WIDTH )
	{  
	// RGB(255, 255, 255) = WEI
	SetPixel(gHdc, u16WIN_X, u16WIN_Y , RGB(255, 255, 255));				
	}
};


// ***************************************
void PrintSpace(int x, int y, char* pStr)
// ********************************
{
int iNN=0;
gotoxy(x,y);
while( iNN < (strlen( pStr )+1) ) 
	{
	printf(" ");
	iNN++;
	};
};


//Fraktalberechnung
// ****************************************************************
void FunktionX( void )
// ****************************************************************
{
long double dXX=0;
unsigned long long ullNN=1;
//LPPOINT gpMPos;
POINT gpMPos;

while(1)  // NO END
	{	
	dXX = dXX + (1.0 / ((long double)ullNN) );
	ullNN++;
	PLotX_ToY( dXX*25, ullNN/1000.0);
	KreuzZeichnen();
	sprintf(gcaStr,"%Lf     CNT:%lld", dXX, ullNN);
	PrintSpace(2,2,gcaStr);
	gotoxy(2, 2);	
	printf("%s\n",gcaStr );


//GetConsoleScreenBufferInfo(GetStdHandle(STD_OUTPUT_HANDLE), &sConScreenInf);
//printf("X=%d Y=%d\n", sConScreenInf.dwCursorPosition.X, sConScreenInf.dwCursorPosition.X   );	
	ScreenToClient(gHwnd, &gpMPos);
	GetCursorPos(&gpMPos);

//	printf("X=%d Y=%d\n", gpMPos->x, gpMPos->y  );
	sprintf(gcaStr,"X=%ld Y=%ld", gpMPos.x, gpMPos.y  );	
	PrintSpace(3,5,gcaStr);
	gotoxy(3,5);
	printf("%s\n",gcaStr );
	};
};


int main(void)
{
system("cls"); 

printf("%s\n", PROG_SINN);
printf("%s\n", PROG_AUTOR);
printf("%s\n", PROG_DATUM);
printf("%s\n", PROG_VERSION_NR);

   	//gHwnd gHwnd = FindWindow(NULL, "Grafik in Dos");    
gHwnd = GetConsoleWindow(); //alternative zu FindWindow 
SetConsoleTitle("Euler");

if( gHwnd != NULL )
	{ 
	MoveWindow(gHwnd ,100,100 ,WIN_X_WIDTH, WIN_Y_WIDTH ,TRUE); 
	SetWindowPos( gHwnd, 0, 50, 50, 0, 0, SWP_NOSIZE | SWP_NOZORDER );

	gHdc = GetDC(gHwnd);         

	FunktionX();  //while(1)

	ReleaseDC(gHwnd, gHdc);
	DeleteDC(gHdc);
	};
//std::cin.get();
system("pause");  
/* run this program using the console pauser or add your own getch, system("pause") or input loop */ 
	return 0;        
};


